Skip to main content
GET
/
projects
/
{projectId}
/
oci-registries
/
{registryCredentialId}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "registry": "<string>",
  "auth": {
    "username": "<string>",
    "password": "<string>"
  },
  "identity_token": "<string>",
  "registry_token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.upsun.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required
registryCredentialId
string
required

Response

default - application/json
id
string
required

The identifier of RegistryCredential

created_at
string<date-time> | null
required

The creation date

updated_at
string<date-time> | null
required

The update date

registry
string
required

Registry hostname with optional port and optional path namespace, e.g. 'ghcr.io', 'registry.example.com:5000', 'quay.io/myorg' (no scheme, no trailing slash, lowercase only)

auth
Basic Auth · object
required

Basic Auth for the container registry

identity_token
string | null
required

Refresh token to exchange for bearer token with container registry auth

registry_token
string | null
required

Bearer token used to auth with container registry auth

Last modified on May 29, 2026